﻿.loaderNewFixed {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 20;
    background: rgba(0, 0, 0, 0.3);
}

.loaderNew {
    height: 20px;
    width: 250px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
}

.loader--dot {
    animation-name: loader;
    animation-timing-function: ease-in-out;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    height: 20px;
    width: 20px;
    border-radius: 100%;
    background-color: black;
    position: absolute;
    /*border: 2px solid white;*/
}

    .loader--dot:first-child {
        background-color: #3B9AD3;
        animation-delay: 0.5s;
    }

    .loader--dot:nth-child(2) {
        background-color: #ED5D62;
        animation-delay: 0.4s;
    }

    .loader--dot:nth-child(3) {
        background-color: #85C998;
        animation-delay: 0.3s;
    }

    .loader--dot:nth-child(4) {
        background-color: #ED5D62;
        animation-delay: 0.2s;
    }

    .loader--dot:nth-child(5) {
        background-color: #3B9AD3;
        animation-delay: 0.1s;
    }


@keyframes loader {
    15% {
        transform: translateX(0);
    }

    45% {
        transform: translateX(230px);
    }

    65% {
        transform: translateX(230px);
    }

    95% {
        transform: translateX(0);
    }
}
